Skip to main content
GET
/
gpus
/
v2
/
regions
List Regions
curl --request GET \
  --url https://api.novita.ai/gpus/v2/regions \
  --header 'Authorization: <authorization>'
import requests

url = "https://api.novita.ai/gpus/v2/regions"

headers = {"Authorization": "<authorization>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<authorization>'}};

fetch('https://api.novita.ai/gpus/v2/regions', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "data": [
    {
      "id": "region-abc123",
      "name": "cn-east-1",
      "gpus": [
        "A100",
        "H100"
      ],
      "feature": {
        "network_volume": true,
        "instance_network": true
      }
    }
  ],
  "next_cursor": "",
  "has_more": false
}

Headers

Authorization
string
required

Bearer authentication format, e.g.: Bearer {{API_KEY}}.

Query Parameters

limit
integer

Page size. Integer, value >= 0.

cursor
string

Pagination cursor. String, length: 0-1024 characters.

Response

200 - application/json

OK

data
object[]

Public Region list

next_cursor
string

Cursor for the next page. Empty string when there is no next page

Example:

""

has_more
boolean

Whether there are more pages

Example:

false

Last modified on June 23, 2026